%define upstream_name    Socket
%define upstream_version 2.013

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    4

Summary:    Networking constants and support functions

License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz


BuildRequires: perl-devel

%description
This module provides a variety of constants, structure manipulators and
other functions related to socket-based networking. The values and
functions provided are useful when used in conjunction with Perl core
functions such as socket(), setsockopt() and bind(). It also provides
several other support functions, mostly for dealing with conversions of
network addresses between human-readable and native binary forms, and for
hostname resolver operations.

Some constants and functions are exported by default by this module; but
for backward-compatibility any recently-added symbols are not exported by
default and must be requested explicitly. When an import list is provided
to the 'use Socket' line, the default exports are not automatically
imported. It is therefore best practice to always to explicitly list all
the symbols required.

Also, some common socket "newline" constants are provided: the constants
'CR', 'LF', and 'CRLF', as well as '$CR', '$LF', and '$CRLF', which map to
'\015', '\012', and '\015\012'. If you do not want to use the literal
characters in your programs, then use the constants provided here. They are
not exported by default, but can be imported individually, and with the
':crlf' export tag:

%prep
%setup -qn %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json LICENSE META.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 2.13.0-4
+ Revision: 6844d50
- MassBuild#440: Increase release tag


